
Foreman - Bug #34062

Misspelled word in tooltip "Toggel" instead of "Toggle"

12/01/2021 07:27 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link: 2011312 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9008

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2011312

Description of problem:

Searchbox of the Ace editor shows a tooltip with the misspelled word "Toggel".

Version-Release number of selected component (if applicable):

6.10.0

How reproducible:

always

Steps to Reproduce:

1. Edit Provisioning/Job template or any other entity editable by the Ace editor.

2. Press Ctrl+F to open the search box

3. Hover over the "+" button in the search bar.

Actual results:

"Toggel replace mode" is shown.

Expected results:

"Toggle replace mode" should be shown instead

Additional info:

This bug comes with the ace editor itself. 

https://github.com/theforeman/foreman-js/blob/fa2a95042e69c1b4ba6f90809fc255c0eb4e81a0/packages/vendor-core/lib/modules.js

#L75

There is an open issue for that upstream: https://github.com/thlorenz/brace/issues/175

PR is opened as well: https://github.com/thlorenz/brace/pull/187

Related issues:

Related to Katello - Bug #34559: CV UI - Patternfly update causes tabs to nav... Closed

Associated revisions

Revision 21528527 - 01/24/2022 01:27 PM - Maria Agaphontzev

Fixes #34062 - update ace-editor to fix toggel typo

History

#1 - 12/23/2021 01:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9008 added

#2 - 01/24/2022 01:27 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added
#3 - 01/24/2022 02:01 PM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2152852713f100e5de8c71408fb6cb8254cddb4f.

#4 - 03/04/2022 06:19 PM - Andrew Dewar

- Related to Bug #34559: CV UI - Patternfly update causes tabs to navigate twice on click added
